| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

- Data Structures
- Data Fields

Data Fields
arm_fir_sparse_instance_q7 Struct Reference

Instance structure for the Q7 sparse FIR filter.

## Data Fields

uint16_t | numTaps
uint16_t | stateIndex
q7_t * | pState
q7_t * | pCoeffs
uint16_t | maxDelay
int32_t * | pTapDelay

## Field Documentation

uint16_t arm_fir_sparse_instance_q7::maxDelay

maximum offset specified by the pTapDelay array.

Referenced by arm_fir_sparse_init_q7(), and arm_fir_sparse_q7().

uint16_t arm_fir_sparse_instance_q7::numTaps

number of coefficients in the filter.

Referenced by arm_fir_sparse_init_q7(), and arm_fir_sparse_q7().

q7_t* arm_fir_sparse_instance_q7::pCoeffs

points to the coefficient array. The array is of length numTaps.

Referenced by arm_fir_sparse_init_q7(), and arm_fir_sparse_q7().

q7_t* arm_fir_sparse_instance_q7::pState

points to the state buffer array. The array is of length maxDelay+blockSize-1.

Referenced by arm_fir_sparse_init_q7(), and arm_fir_sparse_q7().

int32_t* arm_fir_sparse_instance_q7::pTapDelay

points to the array of delay values. The array is of length numTaps.

Referenced by arm_fir_sparse_init_q7(), and arm_fir_sparse_q7().

uint16_t arm_fir_sparse_instance_q7::stateIndex

state buffer index. Points to the oldest sample in the state buffer.

Referenced by arm_fir_sparse_init_q7(), and arm_fir_sparse_q7().